%define ver 2.8
%define subver 9

Name:		gsoap
Version:	%{ver}.%{subver}
Release:	3
Summary:	Development tookit for SOAP/XML Web services in C/C++
Group:		Development/Other
License:	gSOAP Public License
Source0:	http://prdownloads.sourceforge.net/gsoap2/%{name}_%{version}.zip
Patch0:		Makefile.am.patch
Patch1:		gsoap-2.7.17-ssl.patch
URL:		http://www.cs.fsu.edu/~engelen/soap.html
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	flex

%description
The gSOAP Web services development toolkit offers an XML to C/C++ language
binding to ease the development of SOAP/XML Web services in C and C/C++.

%package	source
Summary:	Source files of %{name}
Group:		Development/C

%description	source
The gSOAP Web services development toolkit offers an XML to C/C++ language
binding to ease the development of SOAP/XML Web services in C and C/C++.

This package contains the source code.

%prep
%setup -q -n %{name}-%{ver}
{
cd gsoap
#%patch0 -p0 -b .fPIC
cd -
}
%patch1 -p1 -b .ssl

%build
aclocal
automake --add-missing
autoreconf
%configure

# keep a copy of source code (used by some TPM tools for Intel Classmate)
rm -rf %{name}-source
cp -a . ../%{name}-source
mv ../%{name}-source .

make SOAPCPP2_IMPORTPATH="-DSOAPCPP2_IMPORT_PATH=\"\\\"%{_datadir}/%{name}/import\"\\\"" WSDL2H_IMPORTPATH="-DWSDL2H_IMPORT_PATH=\"\\\"%{_datadir}/%{name}/WS\"\\\""

%install
rm -rf %{buildroot}

mkdir -p %buildroot/%_datadir/%name
cp -R %name/import %buildroot/%_datadir/%name
cp -R %name/WS %buildroot/%_datadir/%name
cp -R %name/uddi2 %buildroot/%_datadir/%name
cp %name/stdsoap2.cpp %buildroot/%_datadir/%name
cp %name/stdsoap2.c %buildroot/%_datadir/%name
%makeinstall
install -d %{buildroot}%{_prefix}/src/
cp -a %{name}-source %{buildroot}%{_prefix}/src/%{name}

find %{buildroot} -type d -perm 0744 -exec chmod 0755 '{}' \;
find %{buildroot} -type f -perm 0744 -exec chmod 0644 '{}' \;

%files
%defattr(644,root,root,755)
%doc LICENSE.txt NOTES.txt README.txt *.html license.pdf %name/doc
%attr(0755,root,root) %{_bindir}/soapcpp2
%attr(0755,root,root) %{_bindir}/wsdl2h
%{_includedir}/stdsoap2.h
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/libgsoap++.a
%{_libdir}/libgsoap.a
%{_libdir}/libgsoapck++.a
%{_libdir}/libgsoapck.a
%{_libdir}/libgsoapssl++.a
%{_libdir}/libgsoapssl.a
%{_libdir}/pkgconfig/gsoapssl++.pc
%{_libdir}/pkgconfig/gsoapssl.pc
%{_libdir}/pkgconfig/gsoap++.pc
%{_libdir}/pkgconfig/gsoap.pc
%{_libdir}/pkgconfig/gsoapck++.pc
%{_libdir}/pkgconfig/gsoapck.pc

%files source
%{_prefix}/src/%{name}



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.8.9-3
+ Revision: 5440cb0
- MassBuild#440: Increase release tag


